# -*- coding: utf-8 -*-
""" BariBlu - Il Circo - Facebook App >  project.apps.game.settings by Frankhood
    @author: Frankhood Business Solutions
    @author: Gaetano D'Onghia
"""
from __future__ import absolute_import, print_function, unicode_literals
from django.utils.encoding import python_2_unicode_compatible

import datetime
from django.conf import settings
from django.utils.translation import ugettext_lazy as _


MODS_EMAILS = getattr(settings, 'MODS_EMAILS',["concorsi@frankhood.it"])
DEFAULT_FROM_EMAIL = getattr(settings, 'DEFAULT_FROM_EMAIL', "concorsi@frankhood.it")
DEFAULT_TO_EMAIL = getattr(settings, 'DEFAULT_TO_EMAIL', ["concorsi@frankhood.it",])

FB_PLAYER_TYPE = "FB"
SITE_PLAYER_TYPE = "SITE"
PLAYER_DEFAULT_CHOICES = (
                      (FB_PLAYER_TYPE , _('FACEBOOK')),
                      (SITE_PLAYER_TYPE, _('SITE PLAYER')),
                      )
PLAYER_CHOICES = getattr(settings, 'PLAYER_CHOICES', PLAYER_DEFAULT_CHOICES)


FB_ORIGIN = "FACEBOOK"
MOBILE_ORIGIN = "MOBILE"
SITE_ORIGIN = "SITE"

ORIGIN_DEFAULT_CHOICES = (
                        (SITE_ORIGIN, _('DESKTOP')),
                        (FB_ORIGIN, _('FACEBOOK')),
                        (MOBILE_ORIGIN, _('MOBILE')),
                        )
ORIGIN_CHOICES = getattr(settings, 'ORIGIN_CHOICES', ORIGIN_DEFAULT_CHOICES)

DAILY_GAME_ATTEMPTS = getattr(settings,'DAILY_GAME_ATTEMPTS',10000)
TOTAL_GAME_ATTEMPTS = getattr(settings,'TOTAL_GAME_ATTEMPTS',10000)
