# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'StatisticCache'
        db.create_table(u'fh_statistics_statisticcache', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('key', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('namespace', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('value', self.gf('django.db.models.fields.TextField')(default='{}', null=True)),
        ))
        db.send_create_signal(u'fh_statistics', ['StatisticCache'])


    def backwards(self, orm):
        # Deleting model 'StatisticCache'
        db.delete_table(u'fh_statistics_statisticcache')


    models = {
        u'fh_statistics.statisticcache': {
            'Meta': {'object_name': 'StatisticCache'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'namespace': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'value': ('django.db.models.fields.TextField', [], {'default': "'{}'", 'null': 'True'})
        }
    }

    complete_apps = ['fh_statistics']