# -*- coding: utf-8 -*-
""" Frankhood >  utils.urls_utils
    @author: Frankhood Business Solutions
    @author: Gaetano D'Onghia
"""
from __future__ import absolute_import, print_function, unicode_literals
from django.utils.encoding import python_2_unicode_compatible



def append_querystring(next_url, **kwargs):
    """
    Dato un indirizzo next_url attacca in querystring le coppie chiavi valore che gli vengono passate
    ad es. append_querystring("game/?t=47326443",**{'next_url':'/registration/',session_id="43276832"})
    """
    kwargs = kwargs or {}
    for key,value in kwargs.iteritems():
        if not next_url.find('?') == -1:
            next_url = "%s&%s=%s" % (next_url, key,value)
        else:
            next_url = "%s?%s=%s" % (next_url, key,value)
    return next_url